<h2 mat-dialog-title>{{title}} Sale</h2>

<mat-dialog-content [formGroup]="form">
  
    <mat-form-field>
        <mat-select formControlName="customerId">
            <mat-option *ngFor="let item of customerSelectItems" [value]="item.id">
              {{item.name}}
            </mat-option>
        </mat-select>
        <mat-error *ngIf="!form.get('customerId')!.valid && form.get('customerId')!.touched">Customer Name is required.</mat-error>
    </mat-form-field>
    <mat-form-field>
        <mat-select formControlName="productId" (selectionChange)="onProductChange($event)">
            <mat-option *ngFor="let item of productSelectItems" [value]="item.id">
              {{item.name}}
            </mat-option>
        </mat-select>
        <mat-error *ngIf="!form.get('productId')!.valid && form.get('productId')!.touched">Product Name is required.</mat-error>
    </mat-form-field>
    <mat-form-field>
        <input matInput
                placeholder="Product Rate"
               formControlName="rate" type="number" required>
        <mat-error *ngIf="!form.get('rate')!.valid && form.get('rate')!.touched">rate is required.</mat-error>
    </mat-form-field>

    <mat-form-field>
        <input matInput
                placeholder="Quantity" type="number" (keyup)="onQuantityChange($event)"
               formControlName="quantity" required>
        <mat-error *ngIf="!form.get('quantity')!.valid && form.get('quantity')!.touched">Quantity is required.</mat-error>
    </mat-form-field>
 
    <mat-form-field>
        <input matInput
                placeholder="Total Amount" type="string"
               formControlName="totalAmount" required>
        <mat-error *ngIf="!form.get('totalAmount')!.valid && form.get('totalAmount')!.touched">Total Amount is required.</mat-error>
    </mat-form-field>
</mat-dialog-content>

<mat-dialog-actions>
    <button mat-raised-button color="basic"  (click)="close()">Close</button>
    <button mat-raised-button color="primary" (click)="submit()">Save</button>
</mat-dialog-actions>